
Dashboard - Bug #43594

mgr/dashboard: E2E pools page failure

01/14/2020 09:58 AM - Stephan Müller

Status: Resolved % Done: 0%

Priority: High   

Assignee: Stephan Müller   

Category: Testing & QA   

Target version: v15.0.0   

Source:  Affected Versions: v15.0.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 32635

Regression: Yes Crash signature (v1):  

Severity: 2 - major Crash signature (v2):  

Reviewed:    

Description

On the current master the pools page fail:

npm run e2e:ci -- --specs e2e/pools/pools.e2e-spec.ts

> ceph-dashboard@0.0.0 e2e:ci /srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend

> npm run env_build && npm run e2e:update && ng e2e --dev-server-target --webdriverUpdate=false "-

-specs" "e2e/pools/pools.e2e-spec.ts" 

> ceph-dashboard@0.0.0 env_build /srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend

> cp src/environments/environment.tpl.ts src/environments/environment.prod.ts && cp src/environmen

ts/environment.tpl.ts src/environments/environment.ts  && node ./environment.build.js

Environment variables have been set

> ceph-dashboard@0.0.0 e2e:update /srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend

> npx webdriver-manager update --gecko=false --versions.chrome=$(google-chrome --version | awk '{ 

print $3 }')

[10:50:42] I/update - chromedriver: file exists /srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/fro

ntend/node_modules/protractor/node_modules/webdriver-manager/selenium/chromedriver_78.0.3904.70.zi

p

[10:50:42] I/update - chromedriver: unzipping chromedriver_78.0.3904.70.zip

[10:50:42] I/update - chromedriver: setting permissions to 0755 for /srv/cephmgr/ceph-dev/src/pybi

nd/mgr/dashboard/frontend/node_modules/protractor/node_modules/webdriver-manager/selenium/chromedr

iver_78.0.3904.70

[10:50:42] I/update - chromedriver: chromedriver_78.0.3904.70 up to date

[10:50:42] I/update - selenium standalone: file exists /srv/cephmgr/ceph-dev/src/pybind/mgr/dashbo

ard/frontend/node_modules/protractor/node_modules/webdriver-manager/selenium/selenium-server-stand

alone-3.141.59.jar

[10:50:42] I/update - selenium standalone: selenium-server-standalone-3.141.59.jar up to date

[10:50:56] I/launcher - Running 1 instances of WebDriver

[10:50:56] I/direct - Using ChromeDriver directly...

Activated Protractor Screenshoter Plugin, ver. 0.10.3 (c) 2016 - 2020 Andrej Zachar and contributo

rs

Creating reporter at .protractor-report/

Jasmine started

  Pools page

    breadcrumb and tab tests

      ✓ should open and show breadcrumb (0.181 sec)

      ✓ should show two tabs (0.066 sec)
      ✓ should show pools list tab at first (0.075 sec)

      ✓ should show overall performance as a second tab (0.08 sec)

    ✗ should create a pool (15 secs)

      - Failed: No element found using locator: By(css selector, input[name=pgNum])

          at elementArrayFinder.getWebElements.then (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboar

d/frontend/node_modules/protractor/built/element.js:814:27)

          at process._tickCallback (internal/process/next_tick.js:68:7)Error: 

          at ElementArrayFinder.applyAction_ (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/front

end/node_modules/protractor/built/element.js:459:27)

          at ElementArrayFinder.(anonymous function).args [as sendKeys] (/srv/cephmgr/ceph-dev/src

/pybind/mgr/dashboard/frontend/node_modules/protractor/built/element.js:91:29)

          at ElementFinder.(anonymous function).args [as sendKeys] (/srv/cephmgr/ceph-dev/src/pybi

nd/mgr/dashboard/frontend/node_modules/protractor/built/element.js:831:22)

          at PoolPageHelper.<anonymous> (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/e

2e/pools/pools.po.ts:44:34)

          at step (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/node_modules/tslib/tsli

b.js:136:27)

          at Object.next (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/node_modules/tsl

ib/tslib.js:117:57)

          at fulfilled (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/node_modules/tslib

/tslib.js:107:62)

          at process._tickCallback (internal/process/next_tick.js:68:7)

      From asynchronous test: 

      Error: 

          at Suite.<anonymous> (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/e2e/pools/

pools.e2e-spec.ts:34:3)

          at apply (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/node_modules/lodash/lo

dash.js:476:27)

          at Env.wrapper [as describe] (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/no

de_modules/lodash/lodash.js:5317:16)

          at Object.<anonymous> (/srv/cephmgr/ceph-dev/src/pybind/mgr/dashboard/frontend/e2e/pools

/pools.e2e-spec.ts:3:1)

          at Module._compile (internal/modules/cjs/loader.js:689:30)

**************************************************

*                    Failures                    *

**************************************************

1) Pools page should create a pool

  - Failed: No element found using locator: By(css selector, input[name=pgNum])

Executed 5 of 7 specs (1 FAILED) (2 SKIPPED) in 19 secs.

[10:51:46] I/launcher - 0 instance(s) of WebDriver still running

[10:51:46] I/launcher - chrome #01 failed 1 test(s)

[10:51:46] I/launcher - overall: 1 failed spec(s)

[10:51:46] E/launcher - Process exited with error code 1

npm ERR! code ELIFECYCLE

npm ERR! errno 1

npm ERR! ceph-dashboard@0.0.0 e2e:ci: `npm run env_build && npm run e2e:update && ng e2e --dev-ser

ver-target --webdriverUpdate=false "--specs" "e2e/pools/pools.e2e-spec.ts"`

npm ERR! Exit status 1

npm ERR! 

npm ERR! Failed at the ceph-dashboard@0.0.0 e2e:ci script.

npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:

npm ERR!     /home/albatros/.npm/_logs/2020-01-14T09_51_46_846Z-debug.log

Related issues:

Related to Dashboard - Bug #43102: mgr/dashboard: remove E2E test workaround ... Resolved

History

#1 - 01/14/2020 01:54 PM - Stephan Müller
- Status changed from In Progress to Fix Under Review

- Pull request ID set to 32635

#2 - 01/15/2020 08:43 AM - Stephan Müller

- Related to Bug #43102: mgr/dashboard: remove E2E test workaround for autoscaler added

#3 - 01/15/2020 03:00 PM - Stephan Müller

- Status changed from Fix Under Review to Resolved

#4 - 04/15/2021 05:20 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 151 to Testing & QA
